summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorDave Wallace <dwallacelf@gmail.com>2022-08-11 17:07:12 -0400
committerDave Wallace <dwallacelf@gmail.com>2022-08-11 17:38:09 -0400
commita97057b8d053120616aaf764cd254e8b6407906a (patch)
tree26971590d00b95fe830c09ee1e12360a8ea1d434
parent2d13650a9bf7fb78763e2dd777e4f5d1aaa8aeb0 (diff)
post 22.06 vpp job clean up
- Remove ubuntu-18.04 jobs - Remove vpp 21.10 jobs - Address TODO clean up now that 21.06 & 21.10 are no longer supported - Remove unused jjb/hc2vpp (archived project) Change-Id: I9da69fa175ebb647476916e9921f4149045408b4 Signed-off-by: Dave Wallace <dwallacelf@gmail.com>
-rw-r--r--docker/scripts/lib_common.sh14
-rw-r--r--docker/scripts/lib_vpp.sh5
-rwxr-xr-xdocker/scripts/update_dockerhub_prod_tags.sh6
-rw-r--r--jjb/hc2vpp/hc2vpp.yaml259
-rw-r--r--jjb/hc2vpp/include-raw-hc2vpp-integration-prebuild.sh95
-rw-r--r--jjb/hc2vpp/include-raw-hc2vpp-pkg-push.sh83
-rwxr-xr-xjjb/scripts/publish_docs.sh17
-rwxr-xr-xjjb/scripts/setup_vpp_ext_deps.sh21
-rwxr-xr-xjjb/scripts/vpp/docs.sh9
-rw-r--r--jjb/scripts/vpp/gcc-build.sh4
-rwxr-xr-xjjb/scripts/vpp/make-test-docs.sh32
-rw-r--r--jjb/vpp/docs.yaml147
-rw-r--r--jjb/vpp/vpp.yaml39
13 files changed, 19 insertions, 712 deletions
diff --git a/docker/scripts/lib_common.sh b/docker/scripts/lib_common.sh
index f48ba8dba..69587f6f0 100644
--- a/docker/scripts/lib_common.sh
+++ b/docker/scripts/lib_common.sh
@@ -1,7 +1,7 @@
# lib_common.sh - Docker build script common library.
# For import only.
-# Copyright (c) 2021 Cisco and/or its affiliates.
+# Copyright (c) 2022 Cisco and/or its affiliates.
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at:
@@ -156,12 +156,12 @@ export EXECUTOR_CLASS_ARCH="$EXECUTOR_DEFAULT_CLASS-$OS_ARCH"
export EXECUTOR_CLASSES="$EXECUTOR_DEFAULT_CLASS csit_dut csit_shim"
export EXECUTOR_ARCHS="aarch64 x86_64"
declare -A EXECUTOR_CLASS_ARCH_OS_NAMES
-EXECUTOR_CLASS_ARCH_OS_NAMES["builder-aarch64"]="ubuntu-18.04 ubuntu-20.04"
-EXECUTOR_CLASS_ARCH_OS_NAMES["builder-x86_64"]="debian-10 debian-11 ubuntu-18.04 ubuntu-20.04"
-EXECUTOR_CLASS_ARCH_OS_NAMES["csit_dut-aarch64"]="ubuntu-18.04 ubuntu-20.04"
-EXECUTOR_CLASS_ARCH_OS_NAMES["csit_dut-x86_64"]="ubuntu-18.04 ubuntu-20.04"
-EXECUTOR_CLASS_ARCH_OS_NAMES["csit_shim-aarch64"]="ubuntu-18.04 ubuntu-20.04"
-EXECUTOR_CLASS_ARCH_OS_NAMES["csit_shim-x86_64"]="ubuntu-18.04 ubuntu-20.04"
+EXECUTOR_CLASS_ARCH_OS_NAMES["builder-aarch64"]="ubuntu-20.04"
+EXECUTOR_CLASS_ARCH_OS_NAMES["builder-x86_64"]="debian-10 debian-11 ubuntu-20.04"
+EXECUTOR_CLASS_ARCH_OS_NAMES["csit_dut-aarch64"]="ubuntu-20.04"
+EXECUTOR_CLASS_ARCH_OS_NAMES["csit_dut-x86_64"]="ubuntu-20.04"
+EXECUTOR_CLASS_ARCH_OS_NAMES["csit_shim-aarch64"]="ubuntu-20.04"
+EXECUTOR_CLASS_ARCH_OS_NAMES["csit_shim-x86_64"]="ubuntu-20.04"
export EXECUTOR_CLASS_ARCH_OS_NAMES
executor_list_roles() {
diff --git a/docker/scripts/lib_vpp.sh b/docker/scripts/lib_vpp.sh
index 7bae93afd..5353b63e2 100644
--- a/docker/scripts/lib_vpp.sh
+++ b/docker/scripts/lib_vpp.sh
@@ -96,8 +96,7 @@ docker_build_setup_vpp() {
# to create an enumerated set of jobs jobs that match the
# definitions here.
declare -A VPP_BRANCHES
-VPP_BRANCHES["debian-10"]="stable/2110 stable/2202 stable/2206 master"
+VPP_BRANCHES["debian-10"]="stable/2202 stable/2206 master"
VPP_BRANCHES["debian-11"]="stable/2206 master"
-VPP_BRANCHES["ubuntu-18.04"]="stable/2110"
-VPP_BRANCHES["ubuntu-20.04"]="stable/2110 stable/2202 stable/2206 master"
+VPP_BRANCHES["ubuntu-20.04"]="stable/2202 stable/2206 master"
export VPP_BRANCHES
diff --git a/docker/scripts/update_dockerhub_prod_tags.sh b/docker/scripts/update_dockerhub_prod_tags.sh
index 890beb3e3..6e54cf03c 100755
--- a/docker/scripts/update_dockerhub_prod_tags.sh
+++ b/docker/scripts/update_dockerhub_prod_tags.sh
@@ -1,6 +1,6 @@
#! /bin/bash
-# Copyright (c) 2021 Cisco and/or its affiliates.
+# Copyright (c) 2022 Cisco and/or its affiliates.
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at:
@@ -58,11 +58,11 @@ usage() {
echo " $script i[nspect] <prod image>"
echo
echo " revert: swaps 'prod-<arch>' and 'prod-prev-<arch>' images"
- echo " <prod image>: e.g. fdiotools/builder-ubuntu1804:prod-x86_64"
+ echo " <prod image>: e.g. fdiotools/builder-ubuntu2204:prod-x86_64"
echo
echo " promote: moves 'prod-<arch>' image to 'prod-prev-<arch>' tag and"
echo " tags <new image> with 'prod-<arch>'"
- echo " <new image>: e.g. fdiotools/builder-ubuntu1804:2020_09_23_151655-x86_64"
+ echo " <new image>: e.g. fdiotools/builder-ubuntu2204:2022_07_23_151655-x86_64"
echo " inspect: prints out all tags for prod-<arch> and prod-prev-<arch>"
echo
exit 1
diff --git a/jjb/hc2vpp/hc2vpp.yaml b/jjb/hc2vpp/hc2vpp.yaml
deleted file mode 100644
index d7d2d41ea..000000000
--- a/jjb/hc2vpp/hc2vpp.yaml
+++ /dev/null
@@ -1,259 +0,0 @@
----
-- project:
- name: hc2vpp
- jobs:
- - 'hc2vpp-verify-{stream}-{os}'
- - 'hc2vpp-merge-{stream}-{os}'
- - 'hc2vpp-integration-{stream}-{os}'
- project: 'hc2vpp'
- os:
- - ubuntu1804:
- skip-site: 'false'
- skip-jar-deploy: 'false'
- - centos7:
- skip-site: 'true'
- skip-jar-deploy: 'true'
- stream:
- - master:
- branch: 'master'
- - '1904':
- branch: 'stable/1904'
-
-- project:
- name: hc2vpp-view
- views:
- - project-view
- project-name: hc2vpp
-
-- job-template:
- name: 'hc2vpp-verify-{stream}-{os}'
- project-type: maven
- node: '{os}-builder-4c-4g'
- concurrent: true
- jdk: openjdk8-{os}
-
- properties:
- - lf-infra-properties:
- build-days-to-keep: "{build-days-to-keep}"
-
- parameters:
- - project-parameter:
- project: '{project}'
- - gerrit-parameter:
- branch: '{branch}'
- - os-parameter:
- os: '{os}'
-
- scm:
- - gerrit-trigger-scm:
- credentials-id: 'jenkins-gerrit-credentials'
- refspec: '$GERRIT_REFSPEC'
- choosing-strategy: 'gerrit'
-
- wrappers:
- - fdio-infra-wrappers:
- build-timeout: '{build-timeout}'
-
- triggers:
- - gerrit-trigger-patch-submitted:
- name: 'hc2vpp'
- branch: '{branch}'
-
- maven:
- maven-name: 'mvn36'
- root-pom: 'pom.xml'
- # yamllint disable-line rule:line-length
- goals: 'clean install -V -Dmaven.repo.local=/tmp/r -Dorg.ops4j.pax.url.mvn.localRepository=/tmp/r -Dmerge site'
- maven-opts: '-Xmx2048m -Dmaven.compile.fork=true'
- settings: 'hc2vpp-settings'
- settings-type: cfp
- global-settings: 'global-settings'
- global-settings-type: cfp
-
- publishers:
- - email-notification:
- email-prefix: '[hc2vpp]'
- - lf-infra-publish
-
-- job-template:
- name: 'hc2vpp-merge-{stream}-{os}'
- project-type: maven
- node: '{os}-builder-4c-4g'
- jdk: openjdk8-{os}
-
- properties:
- - lf-infra-properties:
- build-days-to-keep: "{build-days-to-keep}"
-
- parameters:
- - project-parameter:
- project: '{project}'
- - os-parameter:
- os: '{os}'
- - maven-project-parameter:
- maven: 'mvn36'
- - maven-exec:
- maven-version: 'mvn36'
-
- scm:
- - gerrit-trigger-scm:
- credentials-id: 'jenkins-gerrit-credentials'
- refspec: ''
- choosing-strategy: 'default'
-
- wrappers:
- - ssh-agent-credentials:
- users:
- - 'jenkins-gerrit-credentials'
- - fdio-infra-wrappers:
- build-timeout: '{build-timeout}'
-
- triggers:
- - gerrit-trigger-patch-merged:
- name: 'hc2vpp'
- branch: '{branch}'
-
- maven:
- maven-name: 'mvn36'
- root-pom: 'pom.xml'
- # yamllint disable-line rule:line-length
- goals: 'clean install -V -Dmaven.repo.local=/tmp/r -Dorg.ops4j.pax.url.mvn.localRepository=/tmp/r -Dmerge -Dsonar -Ddocs.hc.folder=io/fd/hc2vpp -Dmaven.site.skip={skip-site} site -Dmaven.site.deploy.skip={skip-site} site:deploy'
- maven-opts: '-Xmx2048m -Dmaven.compile.fork=true'
- settings: 'hc2vpp-settings'
- settings-type: cfp
- global-settings: 'global-settings'
- global-settings-type: cfp
-
- reporters:
- - findbugs
-
- publishers:
- - sonar:
- jdk: 'openjdk8-{os}'
- language: 'java'
- branch: '{stream}'
- - email-notification:
- email-prefix: '[hc2vpp]'
- - lf-infra-publish
-
-- job-template:
- name: 'hc2vpp-integration-{stream}-{os}'
- project-type: maven
- node: '{os}-builder-4c-4g'
- jdk: openjdk8-{os}
-
- properties:
- - lf-infra-properties:
- build-days-to-keep: "{build-days-to-keep}"
-
- parameters:
- - project-parameter:
- project: '{project}'
- - os-parameter:
- os: '{os}'
- - stream-parameter:
- stream: '{stream}'
- - maven-project-parameter:
- maven: 'mvn36'
- - maven-exec:
- maven-version: 'mvn36'
- - string:
- name: SKIP_JAR_DEPLOY
- default: '{skip-jar-deploy}'
- # yamllint disable-line rule:line-length
- description: "Skips deployment of hc2vpp jars if variable is set to true"
-
- scm:
- - git-scm:
- credentials-id: 'jenkins-gerrit-credentials'
- refspec: ''
- branch: '{branch}'
-
- wrappers:
- - ssh-agent-credentials:
- users:
- - 'jenkins-gerrit-credentials'
- - fdio-infra-wrappers:
- build-timeout: '{build-timeout}'
-
- triggers:
- - reverse:
- jobs: 'jvpp-merge-{stream}-{os},hc2vpp-merge-{stream}-{os}'
- result: 'success'
-
- prebuilders:
- - config-file-provider:
- files:
- - file-id: '.packagecloud'
- target: '/home/jenkins'
- - config-file-provider:
- files:
- - file-id: 'packagecloud_api'
- target: '/home/jenkins'
-
- - shell:
- !include-raw-escape: include-raw-hc2vpp-integration-prebuild.sh
- maven:
- maven-name: 'mvn36'
- root-pom: 'pom.xml'
- # yamllint disable-line rule:line-length
- goals: 'clean install -V -Dmaven.repo.local=/tmp/r -Dorg.ops4j.pax.url.mvn.localRepository=/tmp/r -Dmerge'
- maven-opts: '-Xmx2048m -Dmaven.compile.fork=true'
- settings: 'hc2vpp-settings'
- settings-type: cfp
- global-settings: 'global-settings'
- global-settings-type: cfp
-
- postbuilders:
- - maven-target:
- maven-version: 'mvn36'
- goals: '--version'
- settings: 'hc2vpp-settings'
- settings-type: cfp
- global-settings: 'global-settings'
- global-settings-type: cfp
- - provide-maven-settings:
- settings-file: 'hc2vpp-settings'
- global-settings-file: 'global-settings'
- - shell:
- !include-raw-escape:
- - ../scripts/maven_push_functions.sh
- - include-raw-hc2vpp-pkg-push.sh
- - shell:
- !include-raw-escape:
- - ../scripts/packagecloud_push.sh
- reporters:
- - findbugs
-
- publishers:
- - email-notification:
- email-prefix: '[hc2vpp]'
- - maven-deploy:
- id: ''
- unique-version: true
- deploy-unstable: false
- release-env-var: SKIP_JAR_DEPLOY
- - lf-infra-publish
-
-- project:
- name: hc2vpp-info
- project-name: hc2vpp
- jobs:
- - gerrit-info-yaml-verify
- build-node: centos7-builder-2c-2g
- project: hc2vpp
- branch: master
-
-- project:
- name: hc2vpp-sonar
- project: hc2vpp
- project-name: hc2vpp
- mvn-settings: hc2vpp-settings
- sonarcloud: true
- sonarcloud-project-organization: '{sonarcloud_project_organization}'
- sonarcloud-api-token: '{sonarcloud_api_token}'
- sonarcloud-project-key: '{sonarcloud_project_organization}_{project-name}'
- branch: master
- build-node: centos7-docker-2c-2g
- jobs:
- - gerrit-maven-sonar
diff --git a/jjb/hc2vpp/include-raw-hc2vpp-integration-prebuild.sh b/jjb/hc2vpp/include-raw-hc2vpp-integration-prebuild.sh
deleted file mode 100644
index dc4ca43de..000000000
--- a/jjb/hc2vpp/include-raw-hc2vpp-integration-prebuild.sh
+++ /dev/null
@@ -1,95 +0,0 @@
-#!/bin/bash
-
-set -ex
-# Download the latest VPP java API package
-VERSION="RELEASE"
-VERSION=`./jvpp-version`
-
-# Figure out what system we are running on
-if [[ -f /etc/lsb-release ]];then
- . /etc/lsb-release
-elif [[ -f /etc/redhat-release ]];then
- sudo yum install -y redhat-lsb
- DISTRIB_ID=`lsb_release -si`
- DISTRIB_RELEASE=`lsb_release -sr`
- DISTRIB_CODENAME=`lsb_release -sc`
- DISTRIB_DESCRIPTION=`lsb_release -sd`
-fi
-echo "----- OS INFO -----"
-echo DISTRIB_ID: ${DISTRIB_ID}
-echo DISTRIB_RELEASE: ${DISTRIB_RELEASE}
-echo DISTRIB_CODENAME: ${DISTRIB_CODENAME}
-echo DISTRIB_DESCRIPTION: ${DISTRIB_DESCRIPTION}
-
-if [[ "$VERSION" == *"-release" ]]; then
- # at the time when HC2VPP release packages are being build,
- # jvpp release packages are already promoted to release repository.
- # Therefore we need to switch to release repository in order to download
- # correct jvpp package versions
- STREAM="release"
-fi
-
-echo "----- DOWNLOADING PACKAGES -----"
-if ! [[ -z ${REPO_NAME} ]]; then
- REPO_URL="https://packagecloud.io/fdio/${STREAM}"
- echo "REPO_URL: ${REPO_URL}"
- if [[ "$DISTRIB_ID" == "Ubuntu" ]]; then
- if [[ -f /etc/apt/sources.list.d/99fd.io.list ]];then
- echo "Deleting: /etc/apt/sources.list.d/99fd.io.list"
- sudo rm /etc/apt/sources.list.d/99fd.io.list
- fi
- if ! [[ "${STREAM}" == "master" ]]; then
- echo "stable branch - clearing all fdio repos. new one will be installed."
- sudo rm -f /etc/apt/sources.list.d/fdio_*.list
- fi
- curl -s https://packagecloud.io/install/repositories/fdio/${STREAM}/script.deb.sh | sudo bash
- if [[ "${VERSION}" != 'RELEASE' ]]; then
- # download specific version if set
- echo VERSION: ${VERSION}
- apt-get download vpp-api-java=${VERSION} || true
- else
- # download latest version for specified stream
- apt-get download vpp-api-java || true
- fi
-
- elif [[ "$DISTRIB_ID" == "CentOS" ]]; then
- if [[ -f /etc/yum.repos.d/fdio-master.repo ]]; then
- echo "Deleting: /etc/yum.repos.d/fdio-master.repo"
- sudo rm /etc/yum.repos.d/fdio-master.repo
- fi
- curl -s https://packagecloud.io/install/repositories/fdio/${STREAM}/script.rpm.sh | sudo bash
- if [[ "${VERSION}" != 'RELEASE' ]]; then
- # download specific version if set
- echo VERSION: ${VERSION}
- yumdownloader vpp-api-java-${VERSION} || true
- else
- # download latest version for specified stream
- yumdownloader vpp-api-java || true
- fi
- fi
-fi
-
-# install vpp-api-java, this extracts jvpp .jar files into usr/share/java
-if [[ "${OS}" == "centos7" ]]; then
- sudo rpm --nodeps --install vpp-api-java*
-else
- sudo dpkg --ignore-depends=vpp,vpp-plugin-core --install vpp-api-java*
-fi
-sudo rm vpp-api-java*
-
-# install jvpp jars into maven repo, so that maven picks them up when building hc2vpp
-version=`./jvpp/version`
-
-current_dir=`pwd`
-cd /usr/share/java
-
-for item in jvpp*.jar; do
- # Example filename: jvpp-registry-17.01-20161206.125556-1.jar
- # ArtifactId = jvpp-registry
- # Version = 17.01
- basefile=$(basename -s .jar "$item")
- artifactId=$(echo "$basefile" | cut -d '-' -f 1-2)
- mvn install:install-file -Dfile=${item} -DgroupId=io.fd.jvpp -DartifactId=${artifactId} -Dversion=${version} -Dpackaging=jar -Dmaven.repo.local=/tmp/r -Dorg.ops4j.pax.url.mvn.localRepository=/tmp/r
-done
-
-cd ${current_dir}
diff --git a/jjb/hc2vpp/include-raw-hc2vpp-pkg-push.sh b/jjb/hc2vpp/include-raw-hc2vpp-pkg-push.sh
deleted file mode 100644
index fbf06c029..000000000
--- a/jjb/hc2vpp/include-raw-hc2vpp-pkg-push.sh
+++ /dev/null
@@ -1,83 +0,0 @@
-#!/bin/bash
-set -x
-
-# In case of master branch, update vpp_dependencies file
-# to match vpp-api-java and eliminate Java API mismatches (HC2VPP-102).
-#
-# In order to have control of package dependencies in the release artifacts (HC2VPP-282),
-# the vpp_dependencies file is not modified in case of stable branch
-# (after VPP API freeze, Java API mismatches occur very rarely).
-if [[ "${STREAM}" == "master" ]]; then
- if [[ "${OS}" == "centos7" ]]; then
- # Determine VPP Java API version used in maven build
- JVPP_VERSION=`yum list installed vpp-api-java | grep vpp-api-java | awk '{ printf $2; }'`
- VERSION=`yum deplist vpp-api-java |grep vpp-lib |head -1 | awk '{ print $3}'`
-
- # Write a file that will echo VPP dependencies
- echo -n 'echo' > vpp_dependencies
- echo " \"vpp = ${VERSION}, vpp-plugins = ${VERSION}, vpp-api-java = ${JVPP_VERSION}\"" >> vpp_dependencies
- chmod +x vpp_dependencies
-
- # Overwrite default dependencies file
- mv vpp_dependencies packaging/rpm/
- else
- # Determine VPP Java API version used in maven build
- JVPP_VERSION=`apt list --installed | grep vpp-api-java | awk '{ printf $2; }'`
- # get vpp-api-java package dependencies
- JVPP_DEPS=`apt-cache show vpp-api-java=${JVPP_VERSION} |grep Depends: | sed "s/Depends: //"`
- # separate deps with newline, then find VPP dependency and filter out the version
- VERSION=`echo ${JVPP_DEPS}| sed "s/, /\\n/" |grep "vpp " | sed "s/).*//" |sed "s/.* //"`
-
- # Write a file that will echo VPP dependencies
- echo -n 'echo' > vpp_dependencies
- echo " \"vpp (= ${VERSION}), vpp-plugin-core (= ${VERSION}), vpp-api-java (= ${JVPP_VERSION})\"" >> vpp_dependencies
- chmod +x vpp_dependencies
-
- # Overwrite default dependencies file
- mv vpp_dependencies packaging/deb/common/
- fi
-fi
-
-# Build package
-if [[ "${OS}" == "centos7" ]]; then
-
- # Build the rpms
- ./packaging/rpm/rpmbuild.sh
-
- # Find the files
- RPMS=$(find ./packaging/ -type f -iname '*.rpm')
- SRPMS=$(find ./packaging/ -type f -iname '*.srpm')
- SRCRPMS=$(find ./packaging/ -type f -name '*.src.rpm')
-
- # Publish hc2vpp packages
- for i in ${RPMS} ${SRPMS} ${SRCRPMS}
- do
- push_rpm "$i"
- done
-elif [[ "${OS}" == "ubuntu1604" ]]; then
-
- # Build the debs
- ./packaging/deb/xenial/debuild.sh
-
- # Find the files
- DEBS=$(find ./packaging/ -type f -iname '*.deb')
-
- # Publish hc2vpp packages
- for i in ${DEBS}
- do
- push_deb "$i"
- done
-elif [[ "${OS}" == "ubuntu1804" ]]; then
-
- # Build the debs
- ./packaging/deb/bionic/debuild.sh
-
- # Find the files
- DEBS=$(find ./packaging/ -type f -iname '*.deb')
-
- # Publish hc2vpp packages
- for i in ${DEBS}
- do
- push_deb "$i"
- done
-fi
diff --git a/jjb/scripts/publish_docs.sh b/jjb/scripts/publish_docs.sh
index adc179668..891e57a7b 100755
--- a/jjb/scripts/publish_docs.sh
+++ b/jjb/scripts/publish_docs.sh
@@ -1,6 +1,6 @@
#!/bin/bash
-# Copyright (c) 2021 Cisco and/or its affiliates.
+# Copyright (c) 2022 Cisco and/or its affiliates.
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at:
@@ -45,22 +45,9 @@ if [[ ${JOB_NAME} == *merge* ]]; then
;;
*"vpp-docs"*)
vpp_release="$(${WORKSPACE}/build-root/scripts/version rpm-version)"
- # TODO: Remove conditional statement when stable/2106 and
- # stable/2110 are no longer supported
- if [[ "${vpp_release::2}" -ge "22" ]] ; then
- workspace_dir="${WORKSPACE}/build-root/docs/html"
- else
- workspace_dir="${WORKSPACE}/docs/_build/html"
- fi
+ workspace_dir="${WORKSPACE}/build-root/docs/html"
bucket_path="/vpp/${vpp_release}/"
;;
- # TODO: Remove 'vpp-make-test-docs' when stable/2106 and
- # stable/2110 are no longer supported
- *"vpp-make-test-docs"*)
- vpp_release="$(${WORKSPACE}/build-root/scripts/version rpm-version)"
- workspace_dir="${WORKSPACE}/test/doc/build/html"
- bucket_path="/vpp/${vpp_release}/vpp_make_test/html/"
- ;;
*)
die "Unknown job: ${JOB_NAME}"
esac
diff --git a/jjb/scripts/setup_vpp_ext_deps.sh b/jjb/scripts/setup_vpp_ext_deps.sh
index 5ace223cf..077dca163 100755
--- a/jjb/scripts/setup_vpp_ext_deps.sh
+++ b/jjb/scripts/setup_vpp_ext_deps.sh
@@ -1,6 +1,6 @@
#!/bin/bash
-# Copyright (c) 2021 Cisco and/or its affiliates.
+# Copyright (c) 2022 Cisco and/or its affiliates.
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at:
@@ -62,25 +62,6 @@ if [ "${OS_ID,,}" == "ubuntu" ] || [ "${OS_ID,,}" == "debian" ] ; then
echo "Removing packagecloud.io repository references and running apt-get update"
sudo rm -f /etc/apt/sources.list.d/fdio_*.list
sudo apt-get update -qq || true
-#TODO: Remove centos when VPP 21.06 is no longer supported
-elif [ "${OS_ID,,}" == "centos" ] ; then
- if [ "${STREAM}" != "master" ] ; then
- echo "stream '${STREAM}' is not master: replacing packagecloud repo list with stream specific list"
- sudo yum -y erase vpp-ext-deps || true
- sudo yum clean all || true
- sudo rm -f /etc/yum.repos.d/fdio_master.repo
- curl -s $INSTALL_URL/script.rpm.sh | sudo bash || true
- fi
- vpp_ext_deps_version="$(yum -q list vpp-ext-deps 2> /dev/null | mawk '/vpp-ext-deps/{print $2}')"
- vpp_ext_deps_pkg="$(yum -q list vpp-ext-deps 2> /dev/null | mawk '/vpp-ext-deps/{print $1}')"
- vpp_ext_deps_pkg="${vpp_ext_deps_pkg/./-${vpp_ext_deps_version}.}.rpm"
- if [ -f "$vpp_ext_deps_pkg" ] ; then
- echo "Installing cached vpp-ext-deps pkg: $vpp_ext_deps_pkg"
- sudo yum -y localinstall "$downloads_dir/$vpp_ext_deps_pkg" || true
- else
- echo "Installing vpp-ext-deps from packagecloud.io"
- sudo yum -y install vpp-ext-deps || true
- fi
else
echo "ERROR: Unsupported OS '$OS_ID'!"
fi
diff --git a/jjb/scripts/vpp/docs.sh b/jjb/scripts/vpp/docs.sh
index 2d80e5593..52b920e31 100755
--- a/jjb/scripts/vpp/docs.sh
+++ b/jjb/scripts/vpp/docs.sh
@@ -26,11 +26,4 @@ if [[ ${JOB_NAME} == *merge* ]] && [ -n "${GERRIT_NEWREV:-}" ] &&
exit 0
fi
-# TODO: Remove conditional statement when stable/2106 and stable/2110 are no
-# longer supported
-vpp_release="$(${WORKSPACE}/build-root/scripts/version rpm-version)"
-if [[ "${vpp_release::2}" -ge "22" ]] ; then
- make UNATTENDED=yes docs docs-spell
-else
- make UNATTENDED=yes docs-venv docs
-fi
+make UNATTENDED=yes docs
diff --git a/jjb/scripts/vpp/gcc-build.sh b/jjb/scripts/vpp/gcc-build.sh
index 488e8d7d7..5afe739db 100644
--- a/jjb/scripts/vpp/gcc-build.sh
+++ b/jjb/scripts/vpp/gcc-build.sh
@@ -1,6 +1,6 @@
#!/bin/bash
-# Copyright (c) 2021 Cisco and/or its affiliates.
+# Copyright (c) 2022 Cisco and/or its affiliates.
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at:
@@ -49,7 +49,7 @@ make_build_release_build_test_gcov_sanity() {
fi
# TODO: Add 'smoke test' env var to select smoke test cases
# then update this accordingly. For now pick a few basic suites...
- MAKE_TEST_SUITES="vlib vppinfra vpe_api vapi vom bihash"
+ MAKE_TEST_SUITES="vlib vppinfra vpe_api vapi cli bihash"
for suite in $MAKE_TEST_SUITES ; do
if ! make UNATTENDED=yes GCOV_TESTS=1 TEST_JOBS=auto TEST=$suite test ; then
BUILD_ERROR="FAILED 'make GCOV_TESTS=1 TEST_JOBS=auto TEST=$suite test'!"
diff --git a/jjb/scripts/vpp/make-test-docs.sh b/jjb/scripts/vpp/make-test-docs.sh
deleted file mode 100755
index 0c6e2156d..000000000
--- a/jjb/scripts/vpp/make-test-docs.sh
+++ /dev/null
@@ -1,32 +0,0 @@
-#!/bin/bash
-
-# Copyright (c) 2021 Cisco and/or its affiliates.
-# Licensed under the Apache License, Version 2.0 (the "License");
-# you may not use this file except in compliance with the License.
-# You may obtain a copy of the License at:
-#
-# http://www.apache.org/licenses/LICENSE-2.0
-#
-# Unless required by applicable law or agreed to in writing, software
-# distributed under the License is distributed on an "AS IS" BASIS,
-# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
-# See the License for the specific language governing permissions and
-# limitations under the License.
-
-echo "---> jjb/scripts/vpp/make-test-docs.sh"
-
-set -euxo pipefail
-
-# TODO: Remove this file when stable/2106 and stable/2110 are no longer
-# supported as 'make test-doc' is deprecated in master (VPP 22.02)
-
-line="*************************************************************************"
-# Don't build anything if this is a merge job being run when
-# the git HEAD id is not the same as the Gerrit New Revision id.
-if [[ ${JOB_NAME} == *merge* ]] && [ -n "${GERRIT_NEWREV:-}" ] &&
- [ "$GERRIT_NEWREV" != "$GIT_COMMIT" ] ; then
- echo -e "\n$line\nSkipping 'make test' docs build. A newer patch has been merged.\n$line\n"
- exit 0
-fi
-
-make test-doc
diff --git a/jjb/vpp/docs.yaml b/jjb/vpp/docs.yaml
index 499793af5..05268384c 100644
--- a/jjb/vpp/docs.yaml
+++ b/jjb/vpp/docs.yaml
@@ -13,9 +13,6 @@
- master:
branch: 'master'
branch-refspec: ''
- - '2110':
- branch: 'stable/2110'
- branch-refspec: ''
- '2202':
branch: 'stable/2202'
branch-refspec: ''
@@ -23,22 +20,6 @@
branch: 'stable/2206'
branch-refspec: ''
-# TODO: Remove when stable/2110 is no longer supported.
-- project:
- name: make-test-docs
- jobs:
- - 'vpp-make-test-docs-merge-{stream}-{os}-{executor-arch}'
- - 'vpp-make-test-docs-verify-{stream}-{os}-{executor-arch}'
-
- project: 'vpp'
- executor-arch: 'x86_64'
- os: 'ubuntu2004'
-
- stream:
- - '2110':
- branch: 'stable/2110'
- branch-refspec: ''
-
- job-template:
name: 'vpp-docs-verify-{stream}-{os}-{executor-arch}'
@@ -165,131 +146,3 @@
publishers:
- fdio-infra-publish-docs
- fdio-infra-publish
-
-
-- job-template:
- name: 'vpp-make-test-docs-verify-{stream}-{os}-{executor-arch}'
-
- project-type: freestyle
- node: 'builder-{os}-prod-{executor-arch}'
- concurrent: true
- allow-empty: 'true'
- fingerprint: false
- only-if-success: true
- default-excludes: false
-
- properties:
- - lf-infra-properties:
- build-days-to-keep: "{build-days-to-keep}"
-
- parameters:
- - project-parameter:
- project: '{project}'
- - gerrit-parameter:
- branch: '{branch}'
- - os-parameter:
- os: '{os}'
- - stream-parameter:
- stream: '{stream}'
- - gerrit-refspec-parameter:
- refspec: '{branch-refspec}'
-
- scm:
- - gerrit-trigger-scm:
- credentials-id: 'jenkins-gerrit-credentials'
- refspec: '$GERRIT_REFSPEC'
- choosing-strategy: 'gerrit'
-
- wrappers:
- - fdio-infra-wrappers:
- build-timeout: '{build-timeout}'
-
- triggers:
- - gerrit-trigger-checkstyle:
- name: '{project}'
- branch: '{branch}'
-
- builders:
- - shell:
- !include-raw-escape:
- - ../scripts/setup_executor_env.sh
- - shell:
- !include-raw-escape:
- - ../scripts/setup_vpp_ubuntu_docker_test.sh
- - shell:
- !include-raw-escape:
- - ../scripts/vpp/make-test-docs.sh
-
- publishers:
- - fdio-infra-publish
-
-- job-template:
- name: 'vpp-make-test-docs-merge-{stream}-{os}-{executor-arch}'
-
- project-type: freestyle
- node: 'builder-{os}-prod-{executor-arch}'
- concurrent: false
- allow-empty: 'true'
- fingerprint: false
- only-if-success: true
- default-excludes: false
-
- properties:
- - lf-infra-properties:
- build-days-to-keep: "{build-days-to-keep}"
-
- parameters:
- - project-parameter:
- project: '{project}'
- - gerrit-parameter:
- branch: '{branch}'
- - os-parameter:
- os: '{os}'
- - stream-parameter:
- stream: '{stream}'
-
- scm:
- - gerrit-trigger-scm:
- credentials-id: 'jenkins-gerrit-credentials'
- refspec: ''
- choosing-strategy: 'default'
-
- wrappers:
- - fdio-infra-wrappers:
- build-timeout: '{build-timeout}'
-
- triggers:
- - reverse:
- jobs: 'vpp-merge-{stream}-{os}-{executor-arch}'
- result: 'success'
- - gerrit:
- server-name: 'Primary'
- trigger-on:
- - comment-added-contains-event:
- comment-contains-value: 'run-docs'
- projects:
- - project-compare-type: 'ANT'
- project-pattern: '{project}'
- branches:
- - branch-compare-type: 'ANT'
- branch-pattern: '**/{branch}'
- skip-vote:
- successful: true
- failed: true
- unstable: true
- notbuilt: true
-
- builders:
- - shell:
- !include-raw-escape:
- - ../scripts/setup_executor_env.sh
- - shell:
- !include-raw-escape:
- - ../scripts/setup_vpp_ubuntu_docker_test.sh
- - shell:
- !include-raw-escape:
- - ../scripts/vpp/make-test-docs.sh
-
- publishers:
- - fdio-infra-publish-docs
- - fdio-infra-publish
diff --git a/jjb/vpp/vpp.yaml b/jjb/vpp/vpp.yaml
index 5a157285c..081b6c13a 100644
--- a/jjb/vpp/vpp.yaml
+++ b/jjb/vpp/vpp.yaml
@@ -38,9 +38,6 @@
- master:
branch: 'master'
branch-refspec: ''
- - '2110':
- branch: 'stable/2110'
- branch-refspec: ''
- '2202':
branch: 'stable/2202'
branch-refspec: ''
@@ -71,9 +68,6 @@
- master:
branch: 'master'
branch-refspec: ''
- - '2110':
- branch: 'stable/2110'
- branch-refspec: ''
- '2202':
branch: 'stable/2202'
branch-refspec: ''
@@ -83,24 +77,10 @@
os:
- debian10
- debian11
- - ubuntu1804
- ubuntu2004
executor-arch: 'x86_64'
exclude:
- # OS deprecated on master
- - stream: 'master'
- os: 'ubuntu1804'
- # OS deprecated on 2202
- - stream: '2202'
- os: 'ubuntu1804'
- # OS deprecated on 2206
- - stream: '2206'
- os: 'ubuntu1804'
- # os added in master
- - stream: '2106'
- os: 'debian11'
- - stream: '2110'
- os: 'debian11'
+ # os added in 22.06
- stream: '2202'
os: 'debian11'
# [end] VPP-X86_64 PROJECT
@@ -141,9 +121,6 @@
- master:
branch: 'master'
branch-refspec: ''
- - '2110':
- branch: 'stable/2110'
- branch-refspec: ''
- '2202':
branch: 'stable/2202'
branch-refspec: ''
@@ -173,9 +150,6 @@
- master:
branch: 'master'
branch-refspec: ''
- - '2110':
- branch: 'stable/2110'
- branch-refspec: ''
- '2202':
branch: 'stable/2202'
branch-refspec: ''
@@ -183,19 +157,8 @@
branch: 'stable/2206'
branch-refspec: ''
os:
- - ubuntu1804
- ubuntu2004
executor-arch: 'aarch64'
- exclude:
- # OS deprecated on master
- - stream: 'master'
- os: 'ubuntu1804'
- # OS deprecated on 2202
- - stream: '2202'
- os: 'ubuntu1804'
- # OS deprecated on 2206
- - stream: '2206'
- os: 'ubuntu1804'
# [end] VPP-AARCH64 PROJECT
# VPP-CSIT-VERIFY-DEVICE PROJECT